//_______________________________________________________________________________________________________________
//___________________________________________________ INCLUDES __________________________________________________
//_______________________________________________________________________________________________________________

#include	"UpdateMaker.h"

//_______________________________________________________________________________________________________________
//____________________________________________________ BNDL _____________________________________________________
//_______________________________________________________________________________________________________________

resource 'BNDL' (128, purgeable) {
	'UMkr',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'ICN#',
		{	/* array IDArray: 11 elements */
			/* [1] */
			0, 128,
			/* [2] */
			0, 0,
			/* [3] */
			0, 0,
			/* [4] */
			0, 0,
			/* [5] */
			0, 0,
			/* [6] */
			0, 0,
			/* [7] */
			0, 0,
			/* [8] */
			0, 0,
			/* [9] */
			0, 0,
			/* [10] */
			0, 0,
			/* [11] */
			0, 0
		},
		/* [2] */
		'FREF',
		{	/* array IDArray: 11 elements */
			/* [1] */
			0, 128,
			/* [2] */
			0, 0,
			/* [3] */
			0, 0,
			/* [4] */
			0, 0,
			/* [5] */
			0, 0,
			/* [6] */
			0, 0,
			/* [7] */
			0, 0,
			/* [8] */
			0, 0,
			/* [9] */
			0, 0,
			/* [10] */
			0, 0,
			/* [11] */
			0, 0
		}
	}
};


//_______________________________________________________________________________________________________________
//____________________________________________________ DITL _____________________________________________________
//_______________________________________________________________________________________________________________

resource 'DITL' (1002, "StandardFile", purgeable) {
	{	/* array DITLarray: 12 elements */
		/* [1] */
		{140, 256, 158, 336},
		Button {
			enabled,
			"Open"
		},
		/* [2] */
		{1152, 59, 1232, 77},
		Button {
			enabled,
			"Hidden"
		},
		/* [3] */
		{193, 256, 211, 336},
		Button {
			enabled,
			"Cancel"
		},
		/* [4] */
		{43, 232, 63, 347},
		UserItem {
			disabled
		},
		/* [5] */
		{72, 256, 90, 336},
		Button {
			enabled,
			"Eject"
		},
		/* [6] */
		{97, 256, 115, 336},
		Button {
			enabled,
			"Drive"
		},
		/* [7] */
		{43, 12, 189, 230},
		UserItem {
			enabled
		},
		/* [8] */
		{43, 229, 189, 246},
		UserItem {
			enabled
		},
		/* [9] */
		{128, 252, 129, 340},
		UserItem {
			disabled
		},
		/* [10] */
		{1044, 20, 1145, 116},
		StaticText {
			disabled,
			""
		},
		/* [11] */
		{167, 256, 185, 336},
		Button {
			enabled,
			"Unlock"
		},
		/* [12] */
		{200, 20, 1145, 116},
		StaticText {
			disabled,
			""
		}
	}
};

//_______________________________________________________________________________________________________________

resource 'DITL' (rSourceTextEditDialogID, "Source TextEdit") {
	{	/* [1] */
		{46, 212, 66, 270},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{13, 11, 30, 272},
		EditText {
			enabled,
			"Source"
		}
	}
};

//_______________________________________________________________________________________________________________
//____________________________________________________ DLOG _____________________________________________________
//_______________________________________________________________________________________________________________

resource 'DLOG' (1002, "StandardFile", purgeable) {
	{0, 0, 217, 348},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	1002,
	""
};

//_______________________________________________________________________________________________________________

resource 'DLOG' (rSourceTextEditDialogID, "Source TextEdit") {
	{64, 26, 142, 310},
	documentProc,
	invisible,
	noGoAway,
	0x0,
	5000,
	""
};

//_______________________________________________________________________________________________________________
//____________________________________________________ FREF _____________________________________________________
//_______________________________________________________________________________________________________________

resource 'FREF' (128, purgeable) {
	'APPL',
	0,
	"UMkr"
};

//_______________________________________________________________________________________________________________
//____________________________________________________ MENU _____________________________________________________
//_______________________________________________________________________________________________________________

resource 'MENU' (mApple, preload) {
	mApple,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	
		"About UpdateMaker", noIcon, noKey, noMark, plain,
		"-", noIcon, noKey, noMark, plain
	}
};

//_______________________________________________________________________________________________________________

resource 'MENU' (mFile, preload) {
	mFile,
	textMenuProc,
	0xFFFF,
	enabled,
	"File",
	{	
		"Create Update File", noIcon, "N", noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Quit", noIcon, "Q", noMark, plain
	}
};


//_______________________________________________________________________________________________________________

resource 'MENU' (mEdit, preload) {
	mEdit,
	textMenuProc,
	0x0,
	enabled,
	"Edit",
	{	
		"Undo", noIcon, "Z", noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Cut", noIcon, "X", noMark, plain,
		"Copy", noIcon, "C", noMark, plain,
		"Paste", noIcon, "V", noMark, plain,
		"Clear", noIcon, "B", noMark, plain
	}
};


//_______________________________________________________________________________________________________________
//____________________________________________________ vers _____________________________________________________
//_______________________________________________________________________________________________________________

resource 'vers' (1) {
	0x1,
	0x25,
	release,
	0x0,
	verUs,
	"1.0",
	"v1.0"
};

//_______________________________________________________________________________________________________________

resource 'vers' (2, purgeable) {
	0x2,
	0x0,
	0x4,
	0x0,
	verUs,
	"1.0",
	"v1.0"
};

